<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\View_Model\Classic_Checkout;

class Payment_Method_Item_Add_Card {

	/**
	 * @var string
	 */
	private string $iframe_url;

	/**
	 * @var string
	 */
	private string $integrator_id;

	/**
	 * @var bool
	 */
	private bool $enable_save_card;

	/**
	 * @param string $iframe_url
	 * @param string $integrator_id
	 * @param bool $enable_save_card
	 */
	public function __construct(
		string $iframe_url,
		string $integrator_id,
		bool $enable_save_card
	) {
		$this->iframe_url       = $iframe_url;
		$this->integrator_id    = $integrator_id;
		$this->enable_save_card = $enable_save_card;
	}

	public function get_iframe_url(): string {
		return $this->iframe_url;
	}

	public function get_integrator_id(): string {
		return $this->integrator_id;
	}

	public function is_enable_save_card(): bool {
		return $this->enable_save_card;
	}


}
